apt-get (and apt-key) does not work for Linux 5.4.77 for i.MX8MQ EVK

cancel
Showing results for 
Search instead for 
Did you mean: 

apt-get (and apt-key) does not work for Linux 5.4.77 for i.MX8MQ EVK

212 Views
kawai_m
Contributor I

We are currently running i.mx8mq with kernel version 5.4.77.
I'm trying to use "apt-get" and "apt-key", but I'm getting the same error as the one in the forum below, so I can't use apt-get and apt-key.
https://community.nxp.com/t5/i-MX-Processors/apt-get-and-apt-key-does-not-work-for-Linux-5-4-XX-for-...

I have modified local.conf as described in the forum as follows, but the situation does not improve.
Is it possible to get some advice?

MACHINE ? = 'imx8mqevk'
DISTRO ? = 'fsl-imx-wayland'
PACKAGE_CLASSES ? = 'package_rpm'
EXTRA_IMAGE_FEATURES ? = "debug-tweaks"
USER_CLASSES ? = "buildstats image-mklibs image-prelink"
PATCHRESOLVE = "noop"
BB_DISKMON_DIRS ? = "\fnDroid Sans Fallback
STOPTASKS,${TMPDIR},1G,100K \.
STOPTASKS,${DL_DIR},1G,100K
STOPTASKS,${SSTATE_DIR},1G,100K
STOPTASKS,/tmp,100M,100K \
ABORT,${TMPDIR},100M,1K
ABORT,${DL_DIR},100M,1K \
ABORT,${SSTATE_DIR},100M,1K \
ABORT,/tmp,10M,1K"
PACKAGECONFIG_append_pn-qemu-system-native = " sdl"
CONF_VERSION = "1"

DL_DIR ? = "${BSPDIR}/downloads/"
ACCEPT_FSL_EULA = "1"

# Switch to Debian packaging and include package-management in the image
EXTRA_IMAGE_FEATURES += "package-management"

Regards.
Kawai

Translated with www.DeepL.com/Translator (free version)

0 Kudos
2 Replies

205 Views
nxf65025
NXP Employee
NXP Employee

Hi 

You need porting ubuntu/debian rootfs.Then you can use apt-get

0 Kudos

172 Views
kawai_m
Contributor I

Hi, nxf65025-san

I did as you suggested and am now able to use apt-get.
Thank you very much.

0 Kudos